namespace Api.Clients.Ai.Contracts;

public interface IAiClient
{
    Task<float[]> CreateEmbeddingAsync(string input, CancellationToken ct);
    Task<string> CreateChatCompletionAsync(string systemPrompt, string userPrompt, decimal temperature, CancellationToken ct);
}
